#include <bits/stdc++.h>
using namespace std;
  
int brojacPromena(string s)
{
    int el = s.length();
    int brojac = 0;
    for (int i = 0; i < el / 2; i++) {
        int leviDeo = i;
        int DesniDeo = el - leviDeo - 1;
        while (leviDeo < DesniDeo) {
            if (s[leviDeo] == s[DesniDeo]) {
                break;
            }
            else {
                DesniDeo--;
            }
        }
        if (leviDeo == DesniDeo) {
            return -1;
        }
        for (int j = DesniDeo; j < el - leviDeo - 1; j++) {
            swap(s[j], s[j + 1]);
            brojac++;
        }
    }
  
    return brojac;
}

int main()
{
    string s;
    cin>>s;
    int prvi = brojacPromena(s);
    reverse(s.begin(), s.end());
    int drugi = brojacPromena(s);
    if(max(prvi, drugi)!=0)
        cout << max(prvi, drugi);
    else
        cout<<1;
    return 0;
}